import loglevel from "loglevel";
import prefix from "loglevel-plugin-prefix";
export class Logger {
    log;
    constructor(context, config) {
        this.log = loglevel.getLogger(context);
        this.log.setLevel(config?.level || "info");
        prefix.reg(loglevel);
        prefix.apply(this.log, {
            template: "%n",
        });
        for (const method of Object.keys(this.log)) {
            const logMethod = this.log[method];
            if (typeof logMethod === "function") {
                this[method] = logMethod.bind(this.log);
            }
        }
    }
}
